NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.NSidedSurfaceBuilder Class Reference

Represents a NXOpen.Features.NSidedSurface builder More...

Inheritance diagram for NXOpen.Features.NSidedSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CenterControlAxisType { X, Y, Z, Flat }
 the center control types More...
 
enum  CenterControlType { Position, Tilting }
 the center control type options More...
 
enum  FlowDirectionType { NotSpecified, Perpendicular, IsoUVLine, AdjacentEdges }
 the flow direction options More...
 
enum  SurfaceType { TrimmedPatch, TriangularPatch }
 the surface type options More...
 
enum  UVOrientationType { Spine, Vector, Area }
 the UV orientation options More...
 

Properties

unsafe NXOpen.Expression CenterControlFlat [get]
 Returns the center control flat More...
 
unsafe NXOpen.Expression CenterControlTiltX [get]
 Returns the center control tilt x direction More...
 
unsafe NXOpen.Expression CenterControlTiltY [get]
 Returns the center control tilt y direction More...
 
unsafe NXOpen.Expression CenterControlTrimFlat [get]
 Returns the center control flat for trimming More...
 
unsafe NXOpen.Expression CenterControlX [get]
 Returns the center control x direction More...
 
unsafe NXOpen.Expression CenterControlY [get]
 Returns the center control y direction More...
 
unsafe NXOpen.Expression CenterControlZ [get]
 Returns the center control z direction More...
 
unsafe NXOpen.ScCollector ConstraintFaces [get]
 Returns the constraint faces More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
Continuity [get]
 Returns the continuity More...
 
unsafe double CurvatureTolerance [get, set]
 Returns or sets the curvature tolerance More...
 
unsafe
NXOpen.Features.NSidedSurfaceBuilder.FlowDirectionType 
FlowDirection [get, set]
 Returns or sets the flow direction More...
 
unsafe NXOpen.SectionList InteriorCurveList [get]
 Returns the list of interior curves More...
 
unsafe bool MergeFaces [get, set]
 Returns or sets the merge-faces option More...
 
unsafe NXOpen.Direction OrientationVector [get, set]
 Returns or sets the orientation vector. More...
 
unsafe NXOpen.Section OuterLoop [get]
 Returns the outer loop More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance More...
 
unsafe NXOpen.Point RectanglePointFirst [get, set]
 Returns or sets the first rectangle point. More...
 
unsafe NXOpen.Point RectanglePointSecond [get, set]
 Returns or sets the second rectangle point. More...
 
unsafe NXOpen.Point RectanglePointThird [get, set]
 Returns or sets the third rectangle point. More...
 
unsafe NXOpen.Section SpineCurve [get]
 Returns the spine curve. More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance More...
 
unsafe bool TrimToBoundary [get, set]
 Returns or sets the trim-to-boundary option More...
 
unsafe
NXOpen.Features.NSidedSurfaceBuilder.SurfaceType 
Type [get, set]
 Returns or sets the surface type More...
 
unsafe
NXOpen.Features.NSidedSurfaceBuilder.UVOrientationType 
UVOrientation [get, set]
 Returns or sets the UV orientation More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.NSidedSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateNSidedSurfaceBuilder

Default values.

Property Value

CenterControlFlat.Value

100

CenterControlTiltX.Value

50

CenterControlTiltY.Value

50

CenterControlTrimFlat.Value

50

CenterControlX.Value

50

CenterControlY.Value

50

CenterControlZ.Value

50

Created in NX6.0.0

Member Enumeration Documentation

the center control types

Enumerator
X 

x axis

Y 

y axis

Z 

z axis

Flat 

center flat

the center control type options

Enumerator
Position 

position type

Tilting 

tilting type

the flow direction options

Enumerator
NotSpecified 

not specified

Perpendicular 

perpendicular

IsoUVLine 

uv line

AdjacentEdges 

adjacent edges

the surface type options

Enumerator
TrimmedPatch 

Trimmed Patch

TriangularPatch 

Triangular Patch

the UV orientation options

Enumerator
Spine 

spine orientation

Vector 

vector orientation

Area 

area orientation

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlFlat
get

Returns the center control flat

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlTiltX
get

Returns the center control tilt x direction

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlTiltY
get

Returns the center control tilt y direction

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlTrimFlat
get

Returns the center control flat for trimming

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlX
get

Returns the center control x direction

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlY
get

Returns the center control y direction

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.NSidedSurfaceBuilder.CenterControlZ
get

Returns the center control z direction

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.ScCollector NXOpen.Features.NSidedSurfaceBuilder.ConstraintFaces
get

Returns the constraint faces

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.NSidedSurfaceBuilder.Continuity
get

Returns the continuity

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.NSidedSurfaceBuilder.CurvatureTolerance
getset

Returns or sets the curvature tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.NSidedSurfaceBuilder.FlowDirectionType NXOpen.Features.NSidedSurfaceBuilder.FlowDirection
getset

Returns or sets the flow direction

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.SectionList NXOpen.Features.NSidedSurfaceBuilder.InteriorCurveList
get

Returns the list of interior curves

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.NSidedSurfaceBuilder.MergeFaces
getset

Returns or sets the merge-faces option

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Direction NXOpen.Features.NSidedSurfaceBuilder.OrientationVector
getset

Returns or sets the orientation vector.

This is used only if UVOrientation is UVOrientationType.Vector

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.NSidedSurfaceBuilder.OuterLoop
get

Returns the outer loop

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.NSidedSurfaceBuilder.PositionTolerance
getset

Returns or sets the position tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Point NXOpen.Features.NSidedSurfaceBuilder.RectanglePointFirst
getset

Returns or sets the first rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Point NXOpen.Features.NSidedSurfaceBuilder.RectanglePointSecond
getset

Returns or sets the second rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Point NXOpen.Features.NSidedSurfaceBuilder.RectanglePointThird
getset

Returns or sets the third rectangle point.

This is used only if UVOrientation is UVOrientationType.Area

Created in NX8.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Section NXOpen.Features.NSidedSurfaceBuilder.SpineCurve
get

Returns the spine curve.

This is used only if UVOrientation is UVOrientationType.Spine

Created in NX6.0.0

License requirements: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe double NXOpen.Features.NSidedSurfaceBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe bool NXOpen.Features.NSidedSurfaceBuilder.TrimToBoundary
getset

Returns or sets the trim-to-boundary option

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.NSidedSurfaceBuilder.SurfaceType NXOpen.Features.NSidedSurfaceBuilder.Type
getset

Returns or sets the surface type

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

unsafe NXOpen.Features.NSidedSurfaceBuilder.UVOrientationType NXOpen.Features.NSidedSurfaceBuilder.UVOrientation
getset

Returns or sets the UV orientation

Created in NX6.0.0

License requirements to get this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")

License requirements to set this property: features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.